# Real-time decision response object

When you receive a real-time decision request, your system must respond with a decision within 3 seconds. The response object contains your authorization decision and any optional parameters based on the decision type. Read more about [real-time decisioning](/card-issuing/card-real-time-decisioning).

### Object Parameters

- `decision` `enum` — The authorization decision. Possible values: `approve`, `partially_approve`, `decline`
- `decline_reason` `enum` — Optional reason for the decline. Providing a decline reason helps merchants understand why the transaction was declined and can reduce network fees. If not specified, Column will return a generic do not honor response code. Possible values: `insufficient_funds`, `suspected_fraud`, `stop_payment`, `require_3ds`
- `partially_approve_amount` `number` — The amount to partially approve in the smallest unit of the currency (e.g., cents for USD). Only applicable when decision is `partially_approve`. The request must support partial approvals (check `can_support_partial_approvals` in the point of sale details). If partial approval is not supported, the transaction will be declined. Incremental authorizations and reauthorizations do not support partial approval

**Response 200**

```json
{
  "decision": "approve",
  "decline_reason": "insufficient_funds",
  "partially_approve_amount": 2500
}
```
